> ## Documentation Index
> Fetch the complete documentation index at: https://docs.raul.ugps.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get visits with cost information by client ID

> Operacion: Get visits with cost information by client ID.



## OpenAPI

````yaml /generated/specs/operations.json get /api/v1/visit_detail/client/{clientId}/with-cost
openapi: 3.0.0
info:
  title: Raul API - Operaciones
  description: Suscripciones, GPS, actividades, visitas y operacion tecnica.
  version: 2.0.0
  contact: {}
servers:
  - url: https://api.raul.ugps.io
    description: Production
security: []
tags: []
paths:
  /api/v1/visit_detail/client/{clientId}/with-cost:
    get:
      tags:
        - Visit Details
      summary: Get visits with cost information by client ID
      description: 'Operacion: Get visits with cost information by client ID.'
      operationId: VisitDetailController_findWithCostByClient
      parameters:
        - name: clientId
          required: true
          in: path
          schema:
            type: string
        - name: periodo
          required: false
          in: query
          description: Filter by period YYYY-MM
          schema:
            type: string
      responses:
        '200':
          description: List of visits with cost for a client
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Bearer token authentication

````